Subject: RE: Repost: B20.1 -- Control-Cs in the bash shell no longer kill back ground tasks ???
From: Dale Quigg <[email-masked]>
To: "'Larry Hall (RFK Partners, Inc)'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 17 Feb 1999 11:03:43 -0800

Thanks for the additional tips Larry and Steve.

I was (being silly and) using a shortcut I created for bash.exe rather than
the start menu item.  I created a new shortcut to cygnus.bat and now I'm
running great with no Ctrl-C problems.

Thank you all _very_ much.
Dale Quigg

-----Original Message-----
From: Steve Morris [mailto:[email-masked]]
Sent: Wednesday, February 17, 1999 10:57 AM
To: Dale Quigg
Subject: RE: Repost: B20.1 -- Control-Cs in the bash shell no longer
kill back ground tasks ???

cygwin.bat is the file launched when you go to the cygwin memu.

Everyone else seems to get rid of the ^C problem in the way Richard
suggests. I suggest you try it again. Check the value of CYGWIN in
bash. Try setting it in autoexec.bat or system environment variables
if you run NT.

It is important to kill all cygwin applications so the cygwin.dll gets
unloaded. CYGWIN is only examined the first time cygwin.dll is loaded.

-----Original Message-----
From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
Sent: Wednesday, February 17, 1999 10:48 AM
To: Dale Quigg
Subject: RE: Repost: B20.1 -- Control-Cs in the bash shell no longer
kill back ground tasks ???

I don't know whether Richard's suggestion will make a difference for you 
or not but if you don't know how the cygnus.bat file is used, its very 
likely (or so it seems to me) that you didn't use it when you started 
the new bash window.  Just to check, find cygnis.bat on your system, get
out of ALL bash shells that are running (and any other Cygwin app) and
then start Cygnus.bat (either by clicking on it or running it from a
DOS box).  Try the stuff that way.  If it works, you may want to move 
this setting into your environment (autoexec.bat on 9x, control panel
on NT) so that you always see the effect no matter how you start bash.
If not, no harm done!;-)

Larry

At 10:40 AM 2/17/99 -0800, you wrote:
>
>Thanks for the response Richard.  
>
>I didn't have the line you recommended in my cygnus.bat, so I added it.  I
>don't know how/when the cygnus.bat is called so I brought up a new bash
>shell.  However, the behavior remains the same (Ctrl-C kills my child
>window).
>
>Thanks anyway.
>Dale Quigg
>
>-----Original Message-----
>From: Richard Hellicar (EML) [mailto:[email-masked]]
>Sent: Wednesday, February 17, 1999 10:21 AM
>To: 'Dale Quigg'
>Cc: [email-masked]'
>Subject: RE: Repost: B20.1 -- Control-Cs in the bash shell no longer
>kill back ground tasks ???
>
>
>make sure, in cygnus.bat, that there are no
>double quotes (") in the line:
>set CYGWIN=tty notitle
>
>It's what was causing me the same problem, and was also
>screwing up ^Z interrupts.
>-- 
>Rick
>> -----Original Message-----
>> From:	Dale Quigg [SMTP:[email-masked]]
>> Sent:	Wednesday, February 17, 1999 6:14 PM
>> To:	[email-masked]'
>> Subject:	Repost: B20.1 -- Control-Cs in the bash shell no longer kill
>> back ground tasks ???
>> 
>> Hi, I'm running B20.1
>> 
>> I saw in the FAQ under
http://sourceware.cygnus.com/cygwin/faq.html#SEC109
>> that
>> "Control-Cs in the bash shell no longer kill background tasks."
>> However, when I open the gvim editor with
>> % gvim file.txt &
>> and then do a Ctrl-C, my gvim window disappears.
>> Any tips/hints as to what may be wrong?
>> 
>> Thanks,
>> Dale
>> 
>> --
>> Want to unsubscribe from this list?
>> Send a message to [email-masked]
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]